{
    "openapi":"3.0",
    "info":{
        "title":"Textura Payment Management REST API",
        "version":"2026.05.07",
        "description":"Oracle Textura Payment Management (TPM) is a cloud application that helps you increase efficiency and control in the management of construction payments. It streamlines and automates processes, mitigates risk, reduces cost, and improves cash flow. TPM provides REST API for client integration. Whether you are experienced with or new to REST, use this guide to find what you need, including a quick start that walks you through Initial setup and detailed descriptions for each REST API resource.",
        "x-summary":"Oracle Textura Payment Management (TPM) is a cloud application that helps you increase efficiency and control in the management of construction payments."
    },
    "servers":[
        {
            "url":"/api"
        }
    ],
    "tags":[
        {
            "name":"Export/E01 Invoices",
            "description":"Allows the export of invoice records within TPM."
        },
        {
            "name":"Export/E02 Invoice Rejections",
            "description":"Allows the export of invoice rejection records within TPM."
        },
        {
            "name":"Export/E03 Payments",
            "description":"Allows the export of invoice payments records within TPM."
        },
        {
            "name":"Export/E04 Documents",
            "description":"The operations from the Export/Documents category."
        },
        {
            "name":"Export/E05 Projects",
            "description":"Allows the export of project details from within TPM."
        },
        {
            "name":"Import/I01 Subcontracts",
            "description":"The operations from the Import/Subcontracts category."
        },
        {
            "name":"Import/I02 Change Orders",
            "description":"Allows for change order control of subcontracts within the TPM system."
        },
        {
            "name":"Import/I03 Compliance Requirements",
            "description":"Allows creation of compliance requirements and review of status within the TPM system."
        },
        {
            "name":"Import/I04 Projects",
            "description":"API dedicated to different project actions within the TPM system."
        },
        {
            "name":"Import/I05 Prime Change Orders",
            "description":"Allows for prime contract change order control within the TPM system."
        },
        {
            "name":"Import/I06 Payments",
            "description":"Allows for the importing of owner funding and off-system payments."
        },
        {
            "name":"Import/I07 Invoices",
            "description":"Allows the import of invoices."
        },
        {
            "name":"Import/I08 ERP Records",
            "description":"Allows the import of ERP Records."
        },
        {
            "name":"Import/I09 Users",
            "description":"Allows the updating of user status within the TPM system."
        },
        {
            "name":"Import/I10 Supplier Diversity Tracking",
            "description":"Allows the import of Supplier Diversity attributions."
        },
        {
            "name":"Import/I11 TPA Enrollment",
            "description":"Allows the import of enrollment information for Textura Payment Accelerator program."
        }
    ],
    "paths":{
        "/v1/import/insert-contracts":{
            "post":{
                "tags":[
                    "Import/I01 Subcontracts"
                ],
                "summary":"1a Subcontracts",
                "description":"This API allows the user to import subcontract(s), using a unique combination of the parameters: ContractNumber, VendorID, and Project. In order for subcontracts to be created, a project must exist prior to subcontract creation. If the subcontract does not exist in Texura, Textura will create a new subcontract with the specified values. If the subcontract does exist in Textura and if the subcontract has not been completed (accepted by the subcontractors), the existing subcontract will be replaced with the subcontract import data.</br></br>The successful import of a subcontract involves a structured approach that consists of two key elements: subcontract specifications and subcontract component specifications. Subcontract specifications outline the general requirements and terms associated with identifying the subcontract to be made, while subcontract component specifications provide more detailed budgetline information for the subcontract. When navigating the parameters associated with this API, it is important to recognize that the components parameter is an array that contains multiple sub-parameters. This array is allows the user to define budgetline information as well as detail unit billing information. For further clarification on the components parameter and general payload syntax, users are encouraged to review the request body section and to refer to the payload examples.",
                "operationId":"/import/insert-contracts",
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    }
                ],
                "requestBody":{
                    "description":"",
                    "content":{
                        "application/json":{
                            "schema":{
                                "$ref":"#/components/schemas/insert-contracts"
                            },
                            "examples":{
                                "Create Subcontract Example 1":{
                                    "summary":"Create subcontracts request",
                                    "description":"test",
                                    "value":{
                                        "SubContract":[
                                            {
                                                "SubJobNumber":"10-2330054",
                                                "VendorId":"AEGIS",
                                                "ContractNumber":"2240054.010",
                                                "SubcontractAmount":"12900",
                                                "ContractDate":"01012023",
                                                "DefaultRetentionPercent":"5",
                                                "ContractDescription":"Windows",
                                                "MainJobNumber":"10-2330054",
                                                "DiscountPercent":"0",
                                                "DiscountWindow":"0",
                                                "Components":[
                                                    {
                                                        "SubJobNumber":"10-2330054.00",
                                                        "VendorId":"AEGIS",
                                                        "ContractNumber":"2330054.010",
                                                        "SubcontractItemNumber":"000*10-2330054.00*S*15220554",
                                                        "ComponentAmount":"12900",
                                                        "ComponentDescription":"1 - Bulk Bid",
                                                        "MainJobNumber":"10-2330054.00",
                                                        "TaxCode":"",
                                                        "UnitQuantity":"1",
                                                        "UnitPrice":"0",
                                                        "UnitOfMeasure":"LS",
                                                        "AccountCode":"05.200.110",
                                                        "CategoryCode":"S",
                                                        "ComponentRetentionPercent":"5",
                                                        "TaskSequence":"15220665"
                                                    }
                                                ],
                                                "DefaultPaymentForm":"ACH",
                                                "SelfBilling":false,
                                                "ConstructionActDueDateOffset":"0"
                                            }
                                        ]
                                    },
                                    "valueSetFlag":true
                                }
                            }
                        }
                    }
                },
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "URI":{
                                            "type":"string",
                                            "description":"Endpoint for job-audit retrieval",
                                            "example":"https://services.texturacorp.com/ebis/api/v1/import/insert-contracts/61",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "production-response":{
                                        "summary":"Production Server: Create subcontracts response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://services.texturacorp.com/ebis/api/v1/import/insert-contracts/61"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    },
                                    "testing-response":{
                                        "summary":"Test Server: Create subcontracts response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/insert-contracts/61"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/insert-contracts"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/insert-contracts"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-insert-contracts-post",
                "x-filename-id":"v1-import-insert-contracts-post"
            }
        },
        "/v1/import/insert-contracts/{jobID}":{
            "get":{
                "tags":[
                    "Import/I01 Subcontracts"
                ],
                "summary":"1b Subcontracts Audit",
                "description":"This API allows the user to import subcontract(s), using a unique combination of the parameters: ContractNumber, VendorID, and Project. In order for subcontracts to be created, a project must exist prior to subcontract creation. If the subcontract does not exist in Texura, Textura will create a new subcontract with the specified values. If the subcontract does exist in Textura and if the subcontract has not been completed (accepted by the subcontractors), the existing subcontract will be replaced with the subcontract import data.</br></br>The successful import of a subcontract involves a structured approach that consists of two key elements: subcontract specifications and subcontract component specifications. Subcontract specifications outline the general requirements and terms associated with identifying the subcontract to be made, while subcontract component specifications provide more detailed budgetline information for the subcontract. When navigating the parameters associated with this API, it is important to recognize that the components parameter is an array that contains multiple sub-parameters. This array is allows the user to define budgetline information as well as detail unit billing information. For further clarification on the components parameter and general payload syntax, users are encouraged to review the request body section and to refer to the payload examples.",
                "operationId":"/import/insert-contracts-get",
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    },
                    {
                        "name":"jobID",
                        "in":"path",
                        "description":"Unique identifier of the job number.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"integer",
                            "description":"Unique identifier of the job number.",
                            "format":"int64",
                            "nullable":false,
                            "readOnly":true
                        }
                    }
                ],
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "texturaJobID":{
                                            "type":"number",
                                            "example":"61",
                                            "nullable":true
                                        },
                                        "totalDuplicate":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "totalError":{
                                            "type":"number",
                                            "example":"1",
                                            "nullable":true
                                        },
                                        "totalInfo":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "totalSuccess":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "formattedMessage":{
                                            "type":"string",
                                            "example":"Created Subcontract #2330054.010 on Project 10-2330054",
                                            "nullable":true
                                        },
                                        "isoDateTime":{
                                            "type":"string",
                                            "example":"2023-02-01T09:42:04.998304",
                                            "nullable":true
                                        },
                                        "mainJobNumber":{
                                            "type":"string",
                                            "example":"01-17011",
                                            "nullable":true
                                        },
                                        "status":{
                                            "type":"string",
                                            "example":"SUCCESS",
                                            "nullable":true
                                        },
                                        "subJobNumber":{
                                            "type":"string",
                                            "example":"17011",
                                            "nullable":true
                                        },
                                        "subcontractNumber":{
                                            "type":"string",
                                            "example":"1000",
                                            "nullable":true
                                        },
                                        "vendorID":{
                                            "type":"string",
                                            "example":"RON095",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "Create Subcontract Example 1 Audit Response":{
                                        "summary":"Create subcontracts audit response",
                                        "description":"Response to successful GET request",
                                        "value":{
                                            "audit":{
                                                "importMessageSummary":{
                                                    "texturaJobID":"34858440",
                                                    "totalDuplicate":"0",
                                                    "totalError":"0",
                                                    "totalInfo":"0",
                                                    "totalSuccess":"2"
                                                },
                                                "messages":[
                                                    {
                                                        "formattedMessage":"Created Subcontract #2330054.010 on Project 10-2330054",
                                                        "isoDateTime":"2023-02-01T09:42:04.998304",
                                                        "mainJobNumber":"10-2330054",
                                                        "status":"SUCCESS",
                                                        "subJobNumber":"10-2330054",
                                                        "subcontractNumber":"2330054.010",
                                                        "vendorId":"AEGIS"
                                                    },
                                                    {
                                                        "formattedMessage":"Adding Item 000*10-2330054.00*S*15220554 to Contract 2330054.010",
                                                        "isoDateTime":"2023-02-01T09:42:04.998469",
                                                        "itemNumber":"000*10-2330054.00*S*15220554",
                                                        "mainJobNumber":"10-2330054",
                                                        "status":"SUCCESS",
                                                        "subJobNumber":"10-2330054",
                                                        "subcontractNumber":"2330054.010",
                                                        "vendorId":"AEGIS"
                                                    }
                                                ]
                                            }
                                        },
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "202":{
                        "description":"Accepted. Encountered when the requestor has asked for request export data or an audit log, but the request is still in process."
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/insert-contracts/{jobID}"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/insert-contracts/{jobID}"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-insert-contracts-{jobID}-get",
                "x-filename-id":"v1-import-insert-contracts-jobid-get"
            }
        },
        "/v1/import/update-contracts":{
            "post":{
                "tags":[
                    "Import/I01 Subcontracts"
                ],
                "summary":"2a Subcontracts Update",
                "description":"A successful import will update an existing subcontract in Textura. This API will not make any changes to the value of the subcontract or the number of components, it is intended for the updating of certain attributes on a subcontract in Textura. This API will can be used to update the retention percent on a subcontract or components, updating the description of a component, and updating the cost code category.",
                "operationId":"/import/update-contracts",
                "requestBody":{
                    "description":"Updates subcontracts with designated GC and SC",
                    "content":{
                        "application/json":{
                            "schema":{
                                "$ref":"#/components/schemas/update-contracts"
                            },
                            "examples":{
                                "Update Subcontracts Example 1":{
                                    "summary":"Update subcontracts request",
                                    "description":"Update subcontracts within TPM",
                                    "value":{
                                        "SubContract":[
                                            {
                                                "MainJobNumber":"02-244103",
                                                "SubJobNumber":null,
                                                "VendorId":"TLAP02",
                                                "ContractNumber":"244103-651540",
                                                "ContractDescription":null,
                                                "ContractDate":null,
                                                "DefaultRetentionPercent":null,
                                                "DiscountPercent":null,
                                                "SubcontractAmount":null,
                                                "DiscountWindow":null,
                                                "DoNotExceed":"5200988.24",
                                                "Components":[
                                                    {
                                                        "MainJobNumber":"02-244103",
                                                        "SubcontractItemNumber":"000*232500*SU*0",
                                                        "ComponentDescription":null,
                                                        "AccountCode":null,
                                                        "CategoryCode":null,
                                                        "SubJobNumber":null,
                                                        "TaxCode":null,
                                                        "VendorId":"TLAP02",
                                                        "ContractNumber":"244103-651540",
                                                        "UnitOfMeasure":null,
                                                        "TaskSequence":null,
                                                        "UnitPrice":null,
                                                        "ComponentAmount":null,
                                                        "ComponentRetentionPercent":null,
                                                        "UnitQuantity":null,
                                                        "ComponentType":null,
                                                        "PhaseCode":null
                                                    }
                                                ],
                                                "DefaultPaymentForm":"ACH",
                                                "SelfBilling":false,
                                                "ConstructionActDueDateOffset":"0"
                                            },
                                            {
                                                "MainJobNumber":"02-244509",
                                                "SubJobNumber":null,
                                                "VendorId":"BBAPO01",
                                                "ContractNumber":"244509-075000",
                                                "ContractDescription":null,
                                                "ContractDate":null,
                                                "DefaultRetentionPercent":null,
                                                "DiscountPercent":null,
                                                "SubcontractAmount":null,
                                                "DiscountWindow":null,
                                                "DoNotExceed":"3226322.29",
                                                "Components":[
                                                    {
                                                        "MainJobNumber":"02-244509",
                                                        "SubcontractItemNumber":"000*137100*SU*0",
                                                        "ComponentDescription":null,
                                                        "AccountCode":null,
                                                        "CategoryCode":null,
                                                        "SubJobNumber":null,
                                                        "TaxCode":null,
                                                        "VendorId":"BBAPO01",
                                                        "ContractNumber":"244509-075000",
                                                        "UnitOfMeasure":null,
                                                        "TaskSequence":null,
                                                        "UnitPrice":null,
                                                        "ComponentAmount":null,
                                                        "ComponentRetentionPercent":null,
                                                        "UnitQuantity":null,
                                                        "ComponentType":null,
                                                        "PhaseCode":null
                                                    }
                                                ],
                                                "DefaultPaymentForm":"ACH",
                                                "SelfBilling":false,
                                                "ConstructionActDueDateOffset":"0"
                                            }
                                        ]
                                    },
                                    "valueSetFlag":true
                                }
                            }
                        }
                    }
                },
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "URI":{
                                            "type":"string",
                                            "description":"Endpoint for job-audit retrieval",
                                            "example":"https://services.texturacorp.com/ebis/api/v1/import/update-contracts/3",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "production-response":{
                                        "summary":"Production Server: Update subcontracts response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://services.texturacorp.com/ebis/api/v1/import/update-contracts/3"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    },
                                    "testing-response":{
                                        "summary":"Test Server: Update subcontracts response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/update-contracts/3"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/update-contracts"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/update-contracts"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-update-contracts-post",
                "x-filename-id":"v1-import-update-contracts-post"
            }
        },
        "/v1/import/update-contracts/{jobID}":{
            "get":{
                "tags":[
                    "Import/I01 Subcontracts"
                ],
                "summary":"2b Subcontracts Update Audit",
                "description":"A successful import will update an existing subcontract in Textura. This API will not make any changes to the value of the subcontract or the number of components, it is intended for the updating of certain attributes on a subcontract in Textura. This API will can be used to update the retention percent on a subcontract or components, updating the description of a component, and updating the cost code category.",
                "operationId":"/import/update-contracts-get",
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    },
                    {
                        "name":"jobID",
                        "in":"path",
                        "description":"Unique identifier of the job number.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"integer",
                            "description":"Unique identifier of the job number.",
                            "format":"int64",
                            "nullable":false,
                            "readOnly":true
                        }
                    }
                ],
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "texturaJobID":{
                                            "type":"number",
                                            "example":"61",
                                            "nullable":true
                                        },
                                        "totalDuplicate":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "totalError":{
                                            "type":"number",
                                            "example":"1",
                                            "nullable":true
                                        },
                                        "totalInfo":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "totalSuccess":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "drawNumber":{
                                            "type":"number",
                                            "example":"19",
                                            "nullable":true
                                        },
                                        "formattedMessage":{
                                            "type":"string",
                                            "example":"Subcontract data was modified on subcontract 244509-075000 for vendor BBAPO01 on project 02-244509.  The changes were not applied to any pending draws.  You must reject the invoice before the changes are applied to that draw",
                                            "nullable":true
                                        },
                                        "isoDateTime":{
                                            "type":"string",
                                            "example":"2023-01-17T15:53:00.843175",
                                            "nullable":true
                                        },
                                        "mainJobNumber":{
                                            "type":"string",
                                            "example":"01-17011",
                                            "nullable":true
                                        },
                                        "status":{
                                            "type":"string",
                                            "example":"SUCCESS",
                                            "nullable":true
                                        },
                                        "subJobNumber":{
                                            "type":"string",
                                            "example":"17011",
                                            "nullable":true
                                        },
                                        "subcontractNumber":{
                                            "type":"string",
                                            "example":"1000",
                                            "nullable":true
                                        },
                                        "vendorID":{
                                            "type":"string",
                                            "example":"RON095",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "Update Subcontracts Example 1 Audit Response":{
                                        "summary":"Update subcontracts audit response",
                                        "description":"Response to successful POST request",
                                        "value":{
                                            "audit":{
                                                "importMessageSummary":{
                                                    "texturaJobID":"34554637",
                                                    "totalDuplicate":"0",
                                                    "totalError":"76",
                                                    "totalInfo":"0",
                                                    "totalSuccess":"9"
                                                },
                                                "messages":[
                                                    {
                                                        "drawNumber":"19",
                                                        "formattedMessage":"Subcontract data was modified on subcontract 244103-651540 for vendor TLAP02 on project 02-244103.  The changes were not applied to any pending draws.  You must reject the invoice before the changes are applied to that draw",
                                                        "isoDateTime":"2023-01-17T15:53:00.794243",
                                                        "mainJobNumber":"02-244103",
                                                        "status":"SUCCESS",
                                                        "subcontractNumber":"244103-651540",
                                                        "vendorId":"TLAP02"
                                                    },
                                                    {
                                                        "drawNumber":"18",
                                                        "formattedMessage":"Subcontract data was modified on subcontract 244509-075000 for vendor BBAPO01 on project 02-244509.  The changes were not applied to any pending draws.  You must reject the invoice before the changes are applied to that draw",
                                                        "isoDateTime":"2023-01-17T15:53:00.843175",
                                                        "mainJobNumber":"02-244509",
                                                        "status":"SUCCESS",
                                                        "subcontractNumber":"244509-075000",
                                                        "vendorId":"BBAPO01"
                                                    }
                                                ]
                                            }
                                        },
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "202":{
                        "description":"Accepted. Encountered when the requestor has asked for request export data or an audit log, but the request is still in process."
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/update-contracts/{jobID}"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/update-contracts/{jobID}"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-update-contracts-{jobID}-get",
                "x-filename-id":"v1-import-update-contracts-jobid-get"
            }
        },
        "/v1/import/changeorders":{
            "post":{
                "tags":[
                    "Import/I02 Change Orders"
                ],
                "summary":"1a Subcontract Change Orders",
                "description":"A change order is a restatement or expansion of the terms of an existing subcontract. A change order must reference an existing parent subcontract. Change orders are composed of a header record and one or more component or detail items. A change order request may contain multiple change orders. If a change order does not exist on a subcontract, Textura will create a new change order. If a change order exists on a subcontract, and the change order has not been completed (accepted by the subcontractor), Textura will replace the existing change order.",
                "operationId":"/import/changeorders",
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    }
                ],
                "requestBody":{
                    "description":"",
                    "content":{
                        "application/json":{
                            "schema":{
                                "$ref":"#/components/schemas/import-change-orders"
                            },
                            "examples":{
                                "Change Order Import Example 1":{
                                    "summary":"Import subcontract change orders request",
                                    "value":{
                                        "ChangeOrder":[
                                            {
                                                "MainJobNumber":"01-202050",
                                                "VendorId":"PACK14",
                                                "ContractNumber":"202050-PACK14-02",
                                                "ChangeOrderNumber":"014",
                                                "ChangeOrderDate":"02022023",
                                                "ChangeOrderDescription":"SCO#014 (Change Framing at Boardroom, 2 Added room schedulers)",
                                                "ChangeOrderTitle":"SCO#014 (Change Framing at Boardroom, 2 Added room schedulers)",
                                                "Components":[
                                                    {
                                                        "MainJobNumber":"01-202050",
                                                        "VendorId":"PACK14",
                                                        "ContractNumber":"202050-PACK14-02",
                                                        "SubcontractItemNumber":"014*01-202050*S*137772557",
                                                        "ComponentDescription":"014 - IC101 - FWD0076 - 2 Added room schedulers for 2 med. conf",
                                                        "CategoryCode":"S",
                                                        "ComponentAmount":"355.91",
                                                        "AccountCode":"310000.01",
                                                        "TaskSequence":"137332237",
                                                        "SubJobNumber":"01-202050",
                                                        "UnitQuantity":"1",
                                                        "UnitPrice":"355.91",
                                                        "UnitOfMeasure":"$",
                                                        "TaxCode":"",
                                                        "ComponentRetentionPercent":"5"
                                                    },
                                                    {
                                                        "MainJobNumber":"01-202050",
                                                        "VendorId":"PACK14",
                                                        "ContractNumber":"202050-PACK14-02",
                                                        "SubcontractItemNumber":"014*01-202050*S*137772558",
                                                        "ComponentDescription":"014 - IC102 - Change Framing at Boardroom",
                                                        "CategoryCode":"S",
                                                        "ComponentAmount":"489.94",
                                                        "AccountCode":"310000.01",
                                                        "TaskSequence":"137332238",
                                                        "SubJobNumber":"01-202050",
                                                        "UnitQuantity":"1",
                                                        "UnitPrice":"489.94",
                                                        "UnitOfMeasure":"$",
                                                        "TaxCode":"",
                                                        "ComponentRetentionPercent":"5"
                                                    }
                                                ]
                                            }
                                        ]
                                    },
                                    "valueSetFlag":true
                                }
                            }
                        }
                    }
                },
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "URI":{
                                            "type":"string",
                                            "description":"Endpoint for job-audit retrieval",
                                            "example":"https://services.texturacorp.com/ebis/api/v1/import/changeorders/7",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "production-response":{
                                        "summary":"Production Server: Import subcontract change orders response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://services.texturacorp.com/ebis/api/v1/import/changeorders/7"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    },
                                    "testing-response":{
                                        "summary":"Test Server: Import subcontract change orders response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/changeorders/7"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/changeorders"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/changeorders"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-changeorders-post",
                "x-filename-id":"v1-import-changeorders-post"
            }
        },
        "/v1/import/changeorders/{jobID}":{
            "get":{
                "tags":[
                    "Import/I02 Change Orders"
                ],
                "summary":"1b Subcontract Change Orders Audit",
                "description":"A change order is a restatement or expansion of the terms of an existing subcontract. A change order must reference an existing parent subcontract. Change orders are composed of a header record and one or more component or detail items. A change order request may contain multiple change orders. If a change order does not exist on a subcontract, Textura will create a new change order. If a change order exists on a subcontract, and the change order has not been completed (accepted by the subcontractor), Textura will replace the existing change order.",
                "operationId":"/import/changeorder-get",
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    },
                    {
                        "name":"jobID",
                        "in":"path",
                        "description":"Unique identifier of the job number.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"integer",
                            "description":"Unique identifier of the job number.",
                            "format":"int64",
                            "nullable":false,
                            "readOnly":true
                        }
                    }
                ],
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "examples":{
                                    "Change Order Import Example 1 Audit Response":{
                                        "summary":"Import subcontract change orders audit response",
                                        "description":"Response to successful GET request",
                                        "value":[
                                            {
                                                "audit":{
                                                    "importMessageSummary":{
                                                        "texturaJobID":"12431713",
                                                        "totalDuplicate":"0",
                                                        "totalError":"0",
                                                        "totalInfo":"0",
                                                        "totalSuccess":"3"
                                                    },
                                                    "messages":[
                                                        {
                                                            "changeOrderNumber":"014",
                                                            "formattedMessage":"Created CO# 014 for Contract 202050-PACK14-02 on Project 01-202050",
                                                            "isoDateTime":"2020-02-02T22:42:07.025155",
                                                            "mainJobNumber":"01-202050",
                                                            "status":"SUCCESS",
                                                            "subcontractNumber":"202050-PACK14-02",
                                                            "vendorId":"PACK14"
                                                        },
                                                        {
                                                            "changeOrderNumber":"014",
                                                            "formattedMessage":"Created new subcontract item #014*01-202050*S*137772557 on Subcontract #202050-PACK14-02 with change order #014 'SCO#014 (Change Framing at Boardroom, 2 Added room schedulers)' for the amount 355.91.  The phase code was defaulted to  \"General Construction\".",
                                                            "isoDateTime":"2020-02-02T22:42:07.070990",
                                                            "itemNumber":"014*01-202050*S*137772557",
                                                            "mainJobNumber":"01-202050",
                                                            "phaseCode":"",
                                                            "phaseCodeDescription":"General Construction",
                                                            "status":"SUCCESS",
                                                            "subcontractNumber":"202050-PACK14-02",
                                                            "vendorId":"PACK14"
                                                        },
                                                        {
                                                            "changeOrderNumber":"014",
                                                            "formattedMessage":"Created new subcontract item #014*01-202050*S*137772558 on Subcontract #202050-PACK14-02 with change order #014 'SCO#014 (Change Framing at Boardroom, 2 Added room schedulers)' for the amount 489.94.  The phase code was defaulted to  \"General Construction\".",
                                                            "isoDateTime":"2020-02-02T22:42:07.073039",
                                                            "itemNumber":"014*01-202050*S*137772558",
                                                            "mainJobNumber":"01-202050",
                                                            "phaseCode":"",
                                                            "phaseCodeDescription":"General Construction",
                                                            "status":"SUCCESS",
                                                            "subcontractNumber":"202050-PACK14-02",
                                                            "vendorId":"PACK14"
                                                        }
                                                    ]
                                                }
                                            }
                                        ],
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "202":{
                        "description":"Accepted. Encountered when the requestor has asked for request export data or an audit log, but the request is still in process."
                    }
                },
                "x-internal-id":"v1-import-changeorders-{jobID}-get",
                "x-filename-id":"v1-import-changeorders-jobid-get"
            }
        },
        "/v1/import/compliance-requirements":{
            "post":{
                "tags":[
                    "Import/I03 Compliance Requirements"
                ],
                "summary":"1a Compliance Requirements",
                "description":"Compliance Requirement(s) imported through this API with a unique combination of MainJobNumber and Description will be created on the Project as Document Requirements. The compliance status imported through this API will update a subcontractor status for the specified requirement on a project, based on ContractNumber, VendorId, and MainJobNumber. In order to create requirements through import your organization must be enabled to do so by a Textura Account Manager.",
                "operationId":"/import/compliance-requirements",
                "requestBody":{
                    "description":"",
                    "content":{
                        "application/json":{
                            "schema":{
                                "type":"object",
                                "properties":{
                                    "ContractNumber":{
                                        "type":"string",
                                        "description":"Subcontract or Purchase Order Number.",
                                        "maxLength":"500",
                                        "example":"001",
                                        "nullable":true
                                    },
                                    "VendorId":{
                                        "type":"string",
                                        "description":"Master Vendor ID for the AP entry",
                                        "maxLength":"200",
                                        "example":"ALLIED",
                                        "nullable":true
                                    },
                                    "Description":{
                                        "type":"string",
                                        "description":"This is a fixed value for each description.  This is actually a key value that Textura uses and needs to stay constant.",
                                        "example":"General Liability Insurance",
                                        "nullable":true
                                    },
                                    "DocumentId":{
                                        "type":"string",
                                        "description":"ID Number, can be used for policy number or left blank",
                                        "example":"15643",
                                        "nullable":true
                                    },
                                    "IssueDate":{
                                        "type":"string",
                                        "description":"Date the requirement was received",
                                        "example":"03052015",
                                        "nullable":true
                                    },
                                    "ExpirationDate":{
                                        "type":"string",
                                        "description":"Date Expired - if blank, does not expire",
                                        "example":"04272015",
                                        "nullable":true
                                    },
                                    "MainJobNumber":{
                                        "type":"string",
                                        "description":"The project/job this subcontract is written against.",
                                        "maxLength":"300",
                                        "example":"24290012",
                                        "nullable":true
                                    },
                                    "Status":{
                                        "type":"string",
                                        "description":"1 = Not Received, 2 = Received, 3 = Set requirement to Not Tracking",
                                        "example":"2",
                                        "nullable":true
                                    }
                                }
                            },
                            "examples":{
                                "Project Compliance Example 1":{
                                    "summary":"Import project compliance requirements request",
                                    "description":"Payload for endpoint",
                                    "value":{
                                        "Compliance":{
                                            "L":[
                                                {
                                                    "ContractNumber":"DA34-019:0010",
                                                    "VendorId":"11011249",
                                                    "Description":"Worker's Comp",
                                                    "DocumentID":"",
                                                    "IssueDate":"05032022",
                                                    "ExpirationDate":"02012024",
                                                    "MainJobNumber":"DA-DA34-019",
                                                    "SubJobNumber":"DA-DA34-019",
                                                    "Status":"2"
                                                }
                                            ]
                                        }
                                    },
                                    "valueSetFlag":true
                                }
                            }
                        }
                    },
                    "required":true
                },
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    }
                ],
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "URI":{
                                            "type":"string",
                                            "description":"Endpoint for job-audit retrieval",
                                            "example":"https://services.texturacorp.com/ebis/api/v1/import/compliance-requirements/930",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "production-response":{
                                        "summary":"Production Server: Import project compliance requirements response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://services.texturacorp.com/ebis/api/v1/import/compliance-requirements/930"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    },
                                    "testing-response":{
                                        "summary":"Test Server: Import project compliance requirements response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/compliance-requirements/930"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/compliance-requirements"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/compliance-requirements"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-compliance-requirements-post",
                "x-filename-id":"v1-import-compliance-requirements-post"
            }
        },
        "/v1/import/compliance-requirements/{jobID}":{
            "get":{
                "tags":[
                    "Import/I03 Compliance Requirements"
                ],
                "summary":"1b Compliance Requirements Audit",
                "description":"Grabs an audit file for a Compliance Requirements job, if the audit file exists.",
                "operationId":"/import/compliance-requirements-get",
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    },
                    {
                        "name":"jobID",
                        "in":"path",
                        "description":"Unique identifier of the job number.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"integer",
                            "description":"Unique identifier of the job number.",
                            "format":"int64",
                            "nullable":false,
                            "readOnly":true
                        }
                    }
                ],
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "texturaJobID":{
                                            "type":"number",
                                            "example":"34886500",
                                            "nullable":true
                                        },
                                        "totalDuplicate":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "totalError":{
                                            "type":"number",
                                            "example":"1",
                                            "nullable":true
                                        },
                                        "totalInfo":{
                                            "type":"number",
                                            "example":"0",
                                            "nullable":true
                                        },
                                        "totalSuccess":{
                                            "type":"number",
                                            "example":"1",
                                            "nullable":true
                                        },
                                        "formattedMessage":{
                                            "type":"string",
                                            "example":"'Worker's Comp' is set to Received for Arrange Engineering for contract number DA34-019:0010",
                                            "nullable":true
                                        },
                                        "isoDateTime":{
                                            "type":"string",
                                            "example":"2023-02-02T12:24:17.215807",
                                            "nullable":true
                                        },
                                        "mainJobNumber":{
                                            "type":"string",
                                            "example":"DA-DA34-019",
                                            "nullable":true
                                        },
                                        "newRequirementStatus":{
                                            "type":"string",
                                            "example":"Received",
                                            "nullable":true
                                        },
                                        "requirementName":{
                                            "type":"string",
                                            "example":"Worker's Comp",
                                            "nullable":true
                                        },
                                        "status":{
                                            "type":"string",
                                            "example":"SUCCESS",
                                            "nullable":true
                                        },
                                        "subJobNumber":{
                                            "type":"string",
                                            "example":"DA-DA34-019",
                                            "nullable":true
                                        },
                                        "subcontractNumber":{
                                            "type":"string",
                                            "example":"DA34-019:0010",
                                            "nullable":true
                                        },
                                        "vendorId":{
                                            "type":"string",
                                            "example":"11020949",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "Project Compliance Example 1 Audit Response":{
                                        "summary":"Import project compliance requirements audit response",
                                        "description":"Response to successful GET request",
                                        "value":[
                                            {
                                                "audit":{
                                                    "importMessageSummary":{
                                                        "texturaJobID":"34886500",
                                                        "totalDuplicate":"0",
                                                        "totalError":"0",
                                                        "totalInfo":"0",
                                                        "totalSuccess":"1"
                                                    },
                                                    "messages":[
                                                        {
                                                            "formattedMessage":"'Worker's Comp' is set to Received for Arrange Engineering for contract number DA34-019:0010",
                                                            "isoDateTime":"2023-02-02T12:24:17.215807",
                                                            "mainJobNumber":"DA-DA34-019",
                                                            "newRequirementStatus":"Received",
                                                            "requirementName":"Worker's Comp",
                                                            "status":"SUCCESS",
                                                            "subJobNumber":"DA-DA34-019",
                                                            "subcontractNumber":"DA34-019:0010",
                                                            "vendorId":"11020949"
                                                        }
                                                    ]
                                                }
                                            }
                                        ],
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "202":{
                        "description":"Accepted. Encountered when the requestor has asked for request export data or an audit log, but the request is still in process."
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/compliance-requirements/{jobID}"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/compliance-requirements/{jobID}"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-compliance-requirements-{jobID}-get",
                "x-filename-id":"v1-import-compliance-requirements-jobid-get"
            }
        },
        "/v1/import/user-project-roles":{
            "post":{
                "tags":[
                    "Import/I09 Users"
                ],
                "summary":"1a User Roles",
                "description":"This API will assign project roles for users based on the project number and email address of the record. If the deactivated parameter is set to true, the API will remove all the roles of the user for that project. The email address must match an existing user in TPM with the appropriate user permissions for that role.</br></br>There are two ways to assign project roles for a user. The first is the use of the legacy parameter, ProjectRoles. Providing a list of roles to the ProjectRoles parameter, will assign those project roles to the user, provided they have the appropriate user permissions. The second way of assignment is to provide the role and role status to ProjectRolesList. For the ProjectRolesList, the role status is denoted by 'enabled' or 'disabled'.</br></br>ProjectRoles can assign the roles of Project Manager, Compliance Manager, Invoice Approver, Signer, and Authorizer. ProjectRolesList can assign all the roles that ProjectRoles can assign and also the roles of Disburser and Owner Funding Manager.",
                "operationId":"/import/user-project-roles",
                "requestBody":{
                    "description":"",
                    "content":{
                        "application/json":{
                            "schema":{
                                "required":[
                                    "MainJobNumber",
                                    "Deactivated",
                                    "Email",
                                    "ProjectRoles"
                                ],
                                "type":"object",
                                "properties":{
                                    "MainJobNumber":{
                                        "type":"string",
                                        "description":"The project for which this user will be created or modified for.",
                                        "maxLength":"300",
                                        "example":"24290012",
                                        "nullable":true
                                    },
                                    "Deactivated":{
                                        "type":"string",
                                        "description":"Boolean parameter to denote user status for a specific project.",
                                        "example":"False",
                                        "nullable":true
                                    },
                                    "UserName":{
                                        "type":"string",
                                        "description":"TPM user name, if blank then  the e-mail parameter will retriever user info.",
                                        "nullable":true
                                    },
                                    "Email":{
                                        "type":"string",
                                        "description":"Email address of TPM user.",
                                        "example":"user1@company.com",
                                        "nullable":true
                                    },
                                    "ProjectRoles":{
                                        "type":"string",
                                        "description":"This is a legacy parameter. This parameter will take a list of roles and assign those roles to the user, for the project, if the user has appropriate permissions. Signer - sets the user as an invoice signer, Authorizer - sets the user as a payment authorizer, Compliance Manager - sets the user as a compliance manager, Project Manager - sets the user as a TPM Project Manager, Invoice Approver - sets the user as an invoice approver",
                                        "example":"[Signer, Invoice Approver]",
                                        "nullable":true
                                    },
                                    "ProjectRolesList":{
                                        "type":"string",
                                        "description":"A parameter that allows the user roles to be either deactivated or activated for a project. A user can express role status by declaring the role and the stating the values of enabled or disabled. This parameter covers all roles similar to ProjectRoles and includes the roles of Disburser and Owner Funding Manager.",
                                        "example":"{'Signer': 'enabled', 'Invoice Approver': 'disabled'}",
                                        "nullable":true
                                    }
                                }
                            },
                            "examples":{
                                "Project User Roles Example 1":{
                                    "summary":"Import project user roles request 1",
                                    "description":"",
                                    "value":{
                                        "Projects":[
                                            {
                                                "MainJobNumber":"200120-150600",
                                                "Users":[
                                                    {
                                                        "UserName":"ADUMAS",
                                                        "Email":"ADUMAS@EMAIL.COM",
                                                        "MainJobNumber":"200120-150600",
                                                        "Deactivated":false,
                                                        "ProjectRoles":[
                                                            "Signer"
                                                        ]
                                                    },
                                                    {
                                                        "UserName":"UECO",
                                                        "Email":"UECO@EMAIL.COM",
                                                        "MainJobNumber":"200120-150600",
                                                        "Deactivated":false,
                                                        "ProjectRoles":[
                                                            "Invoice Approver"
                                                        ]
                                                    }
                                                ]
                                            }
                                        ]
                                    },
                                    "valueSetFlag":true
                                },
                                "Project User Roles Example 2":{
                                    "summary":"Import project user roles request 2",
                                    "description":"",
                                    "value":{
                                        "Projects":[
                                            {
                                                "MainJobNumber":"200120-150600",
                                                "Users":[
                                                    {
                                                        "UserName":"ADUMAS",
                                                        "Email":"ADUMAS@EMAIL.COM",
                                                        "MainJobNumber":"200120-150600",
                                                        "Deactivated":false,
                                                        "ProjectRoles":[
                                                        ],
                                                        "ProjectRolesList":{
                                                            "Signer":"enabled",
                                                            "Disburser":"enabled",
                                                            "Owner Funding Manager":"disabled"
                                                        }
                                                    }
                                                ]
                                            }
                                        ]
                                    },
                                    "valueSetFlag":true
                                }
                            }
                        }
                    },
                    "required":true
                },
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    }
                ],
                "responses":{
                    "200":{
                        "description":"The job was successfully created.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "URI":{
                                            "type":"string",
                                            "description":"Endpoint for job-audit retrieval",
                                            "example":"https://services.texturacorp.com/ebis/api/v1/import/user-project-roles/11",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "production-response":{
                                        "summary":"Production Server: Import user project roles response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://services.texturacorp.com/ebis/api/v1/import/user-project-roles/11"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    },
                                    "testing-response":{
                                        "summary":"Test Server: Import user project roles response",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "uri":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/user-project-roles/11"
                                            }
                                        ],
                                        "valueSetFlag":true
                                    }
                                }
                            }
                        }
                    },
                    "default":{
                        "description":"Links to working URLs",
                        "links":{
                            "Production URL":{
                                "description":"https://services.texturacorp.com/ebis/api/v1/import/user-project-roles"
                            },
                            "Test URL":{
                                "description":"https://usint1.textura.oraclecloud.com/ebis/api/v1/import/user-project-roles"
                            }
                        }
                    }
                },
                "x-internal-id":"v1-import-user-project-roles-post",
                "x-filename-id":"v1-import-user-project-roles-post"
            }
        },
        "/v1/import/user-project-roles/{jobID}":{
            "get":{
                "tags":[
                    "Import/I09 Users"
                ],
                "summary":"1b User Roles Audit",
                "description":"Grabs the audit resource data created from previous job request.",
                "operationId":"/import/user-project-roles-get",
                "parameters":[
                    {
                        "name":"Authentification",
                        "in":"header",
                        "description":"The protocol for the API requires a valid username and password for TPM.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"string"
                        }
                    },
                    {
                        "name":"jobID",
                        "in":"path",
                        "description":"Unique identifier of the job number.",
                        "required":true,
                        "style":"simple",
                        "explode":false,
                        "schema":{
                            "type":"integer",
                            "description":"Unique identifier of the job number.",
                            "format":"int64",
                            "nullable":false,
                            "readOnly":true
                        }
                    }
                ],
                "responses":{
                    "200":{
                        "description":"Audit data included in response payload.",
                        "content":{
                            "application/json":{
                                "schema":{
                                    "type":"object",
                                    "properties":{
                                        "status":{
                                            "type":"string",
                                            "description":"Job status",
                                            "example":"SUCCESS",
                                            "nullable":true
                                        },
                                        "Timestamp":{
                                            "type":"string",
                                            "description":"",
                                            "example":"2022-01-27T09:50:25.697286",
                                            "nullable":true
                                        },
                                        "MainJobNumber":{
                                            "type":"string",
                                            "description":"",
                                            "example":"1739882",
                                            "nullable":true
                                        },
                                        "Message":{
                                            "type":"string",
                                            "description":"Assignment messages.",
                                            "example":"User Alexandre Dumas (ADUMAS@EMAIL.COM), project 200120-150600 has been assigned project roles Signer",
                                            "nullable":true
                                        },
                                        "UserName":{
                                            "type":"string",
                                            "description":"",
                                            "example":"ADUMAS",
                                            "nullable":true
                                        },
                                        "ProjectRoles":{
                                            "type":"string",
                                            "description":"",
                                            "example":"Project Manager",
                                            "nullable":true
                                        },
                                        "Deactivated":{
                                            "type":"string",
                                            "description":"",
                                            "example":"false",
                                            "nullable":true
                                        },
                                        "Email":{
                                            "type":"string",
                                            "description":"",
                                            "example":"ADUMAS@EMAIL.COM",
                                            "nullable":true
                                        }
                                    }
                                },
                                "examples":{
                                    "Project User Roles Example 1 Audit Response":{
                                        "summary":"Import user project roles audit response 1",
                                        "description":"Response to successful POST request",
                                        "value":[
                                            {
                                                "Audit":{
                                                    "Status":"SUCCESS",
                                                    "Timestamp":"2023-01-24T11:25:26.197266"
                                                },
                                                "Projects":[
                                                    {
                                                        "MainJobNumber":"200120-150600",
                                                        "Users":[
                                                            {
                                                                "Audit":{
                                                                    "Message":"User Alexandre Dumas (ADUMAS@EMAIL.COM), project 200120-150600 has been assigned project roles Signer",
                                                                    "Status":"SUCCESS",
                                                                    "Timestamp":"2023-01-10T11:25:21.799838"
                                                                },
                                                                "Deactivated":false,
                                                                "Email":"ADUMAS@EMAIL.COM",
                                                                "MainJobNumber":"200120-150600",
                                                                "ProjectRoles":[
                                                                    "Signer"
                                                                ],
                                                                "UserName":"ADUMAS"
                                                            },
                                                            {
                                                                "Audit":{
                                                                    "Message":"User Umberto Eco (UECO@EMAIL.COM), project 200120-150600 has been assigned project roles Invoice Approver.",
                                                                    "Status":"SUCCESS",
                                                                    "Timestamp":"2023-01-10T11:25:21.804588"
                                                                },
                                                                "Deactivated":false,
                                                                "Email":"UECO@EMAIL.COM",
                                                                "MainJobNumber":"200120-150600",
                                                                "ProjectRoles":[
                                                                    "Invoice Approver"
                                                                ],
[...]
